#include <chrono>
#include <map>
#include <string>

class PreciseTimer
{
public:
  static void  start(const std::string& identifier);
  static double  stop(const std::string& identifier);

private:
  static std::map<std::string, std::chrono::high_resolution_clock::time_point> m_startTimes;
};
